Request for shell access on beta cluster
Closed, ResolvedPublic0 Story Points

Description

I am wanting to test the maintenance script in https://gerrit.wikimedia.org/r/333486 on the beta cluster before it gets run on production, and for that, I would need shell access. If https://gerrit.wikimedia.org/r/333917 were to get merged, I'd want to test that on beta as well.

I'm not really sure what the requirements are in order to be granted this access. Ordinarily I would poke someone who already has these rights to do the testing, but I get a bit tired of being dependent on everyone else to do my work for me :)

See also T128130: Grant Amir "ladsgroup" Sarabadani shell access to beta cluster - Amir suggested on IRC that I file this request in this way.

TTO created this task.Apr 26 2017, 11:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2017, 11:58 AM
TTO changed the task status from Open to Stalled.Apr 27 2017, 1:22 AM

Actually may not need this...

Mentioned in SAL (#wikimedia-releng) [2017-05-04T07:30:27Z] <hashar> deployment-prep: adding TTO (This, that and the other) as a project member to grant shell access - T163887

hashar closed this task as Resolved.May 4 2017, 7:32 AM
hashar claimed this task.
hashar added a subscriber: hashar.

I am fine with that given all the activity you are conducting, you will probably need shell access at one point anyway.

Please try to at least idle in IRC channel #wikimedia-releng. Do !log activity in that channel. And overall try to not break things since that is a shared platform :-]

TTO added a comment.May 4 2017, 8:48 AM

Thanks @hashar. I'll be sure to follow that advice!